org.optaplanner.core.impl.heuristic.selector

## Class AbstractSelector

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector

- All Implemented Interfaces:
    EventListener, Selector, PhaseLifecycleListener, SolverLifecycleListener
  Direct Known Subclasses:
    AbstractEntitySelector, AbstractMoveSelector, AbstractValueSelector, DefaultPillarSelector, DefaultSubChainSelector

      public abstract class AbstractSelector
      extends Object
      implements Selector

  Abstract superclass for `Selector`.
  See Also:
    `Selector`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`
    `protected PhaseLifecycleSupport` | `phaseLifecycleSupport`
    `protected Random` | `workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SelectionCacheType` | `getCacheType()` Unless this selector itself caches, this returns `SelectionCacheType.JUST_IN_TIME`, even if a selector child caches.
    `void` | `phaseEnded(AbstractPhaseScope phaseScope)`
    `void` | `phaseStarted(AbstractPhaseScope phaseScope)`
    `void` | `solvingEnded(DefaultSolverScope solverScope)`
    `void` | `solvingStarted(DefaultSolverScope solverScope)`
    `void` | `stepEnded(AbstractStepScope stepScope)`
    `void` | `stepStarted(AbstractStepScope stepScope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `isCountable, isNeverEnding`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### phaseLifecycleSupport

          protected PhaseLifecycleSupport phaseLifecycleSupport

    - #### workingRandom

          protected Random workingRandom

  - ### Constructor Detail

    - #### AbstractSelector

          public AbstractSelector()

  - ### Method Detail

    - #### solvingStarted

          public void solvingStarted(DefaultSolverScope solverScope)

      Specified by:
        `solvingStarted` in interface `SolverLifecycleListener`

    - #### phaseStarted

          public void phaseStarted(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseStarted` in interface `PhaseLifecycleListener`

    - #### stepStarted

          public void stepStarted(AbstractStepScope stepScope)

      Specified by:
        `stepStarted` in interface `PhaseLifecycleListener`

    - #### stepEnded

          public void stepEnded(AbstractStepScope stepScope)

      Specified by:
        `stepEnded` in interface `PhaseLifecycleListener`

    - #### phaseEnded

          public void phaseEnded(AbstractPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `PhaseLifecycleListener`

    - #### solvingEnded

          public void solvingEnded(DefaultSolverScope solverScope)

      Specified by:
        `solvingEnded` in interface `SolverLifecycleListener`

    - #### getCacheType

          public SelectionCacheType getCacheType()

      Description copied from interface: `Selector`
      Unless this selector itself caches, this returns `SelectionCacheType.JUST_IN_TIME`, even if a selector child caches.
      Specified by:
        `getCacheType` in interface `Selector`
      Returns:
        never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.